<?php

namespace Rbs\Rbs\Model\Config\Source;

use Magento\Framework\Option\ArrayInterface;


/**
 * Class PaymentMethod
 */
class PaymentMethod implements ArrayInterface
{

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        return array(
            array('value'=>'1', 'label'=>'Полная предварительная оплата до момента передачи предмета расчёта'),
            array('value'=>'2', 'label'=>'Частичная предварительная оплата до момента передачи предмета расчёта'),
            array('value'=>'3', 'label'=>'Аванс'),
            array('value'=>'4', 'label'=>'Полная оплата в момент передачи предмета расчёта'),
            array('value'=>'5', 'label'=>'Частичная оплата предмета расчёта в момент его передачи с последующей оплатой в кредит'),
            array('value'=>'6', 'label'=>'Передача предмета расчёта без его оплаты в момент его передачи с последующей оплатой в кредит'),
            array('value'=>'7', 'label'=>'Оплата предмета расчёта после его передачи с оплатой в кредит'),
        );
    }
}