<?php

namespace Rbs\Rbs\Controller\Url;

use Magento\Framework\App\Action\Action;
use Magento\Framework\App\Action\Context;
use Magento\Sales\Model\Order;

class RbsSuccess extends Action
{
    /** @var \Magento\Framework\View\Result\PageFactory  */
    protected $resultPageFactory;


    public function __construct(
        \Magento\Framework\App\Action\Context $context,
        \Magento\Framework\View\Result\PageFactory $resultPageFactory
    ) {
        $this->resultPageFactory = $resultPageFactory;
        parent::__construct($context);
    }


    /**
     * Load the page defined
     *
     * @return \Magento\Framework\View\Result\Page
     */
    public function execute()
    {
        //load model
        /* @var $paymentMethod \Magento\Authorizenet\Model\DirectPost */
        $paymentMethod = $this->_objectManager->create('Rbs\Rbs\Model\Rbs');

        //get request data
        $data = $this->getRequest()->getQuery();

        $result_ = $paymentMethod->processResponse($data);
//        var_dump($result_);die;
        if ($result_ === true){
            $this->messageManager->addSuccess("Спасибо! Ваш заказ успешно оплачен.");
        } else {
            $this->messageManager->addError("Операция отклонена. Проверьте введенные данные, достаточность средств на карте и повторите операцию.");
        }

        $this->_redirect('checkout/onepage/success');

//        return $this->resultPageFactory->create();
    }

}
